package cn.com.poc.long_document.model;	

import java.io.Serializable;
import cn.com.yict.framemax.data.model.BaseModelClass;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Version;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;

/**
 * Model class for biz_long_text_summary_cache
 * 文档核心观点提取、总结摘要缓存表
 */
@Entity
@Table(name = "biz_long_text_summary_cache")
@DynamicInsert
@DynamicUpdate
public class BizLongTextSummaryCacheModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** id
    *
    */ 
    private java.lang.Long id;
    
    @Column(name = "id",length = 19)
	@Id @GeneratedValue(strategy = GenerationType.AUTO) 
    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
        super.addValidField("id");
    }
    
  
    /** core_point
    *核心观点
    */ 
    private java.lang.String corePoint;
    
    @Column(name = "core_point",length = 2147483647)
    public java.lang.String getCorePoint(){
        return this.corePoint;
    }
    
    public void setCorePoint(java.lang.String corePoint){
        this.corePoint = corePoint;
        super.addValidField("corePoint");
    }
    
  
    /** summary
    *总结摘要
    */ 
    private java.lang.String summary;
    
    @Column(name = "summary",length = 2147483647)
    public java.lang.String getSummary(){
        return this.summary;
    }
    
    public void setSummary(java.lang.String summary){
        this.summary = summary;
        super.addValidField("summary");
    }
    
  
    /** file_url
    *文件地址
    */ 
    private java.lang.String fileUrl;
    
    @Column(name = "file_url",length = 200)
    public java.lang.String getFileUrl(){
        return this.fileUrl;
    }
    
    public void setFileUrl(java.lang.String fileUrl){
        this.fileUrl = fileUrl;
        super.addValidField("fileUrl");
    }
    
  
    /** file_md5
    *文件MD5
    */ 
    private java.lang.String fileMd5;
    
    @Column(name = "file_md5",length = 128)
    public java.lang.String getFileMd5(){
        return this.fileMd5;
    }
    
    public void setFileMd5(java.lang.String fileMd5){
        this.fileMd5 = fileMd5;
        super.addValidField("fileMd5");
    }
    
  
    /** is_deleted
    *是否删除 1、Y 是 2、N 否
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted",length = 1)
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private java.lang.String creator;
    
    @Column(name = "CREATOR",length = 225)
    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
        super.addValidField("creator");
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME",length = 19)
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;
    
    @Column(name = "MODIFIER",length = 225)
    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
        super.addValidField("modifier");
    }
    
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME",length = 19)
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }
    
  
    /** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;
    
    @Column(name = "SYS_VERSION",length = 10)
	@Version
    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }
    

}